=== cmake/CMakeLists.txt ===
if(NOT GAMMARAY_PROBE_ONLY_BUILD)
  install(FILES GammaRayMacros.cmake DESTINATION ${CMAKECONFIG_INSTALL_DIR})
endif()
