=== debian/changelog ===
gammaray (2.11.2-2) unstable; urgency=medium

  * Team upload.
  * Add a patch to make the tests less flaky (closes: #973461).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 31 Oct 2020 18:09:56 -0300

gammaray (2.11.2-1) unstable; urgency=medium

  * New upstream release.
  * Update to debhelper compat level 13.
    - Use ${DEB_HOST_MULTIARCH} substitution in the install files.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 14 Oct 2020 19:53:00 +0300

gammaray (2.11.1-2) unstable; urgency=medium

  * Team upload.
  * Build-depend on qml-module-qtqml.
  * Install the 3dinspector plugins.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 25 Jun 2020 19:37:58 +0300

gammaray (2.11.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update debian/copyright.
  * Stop adding -Wl,--as-needed manually, it is by default in Bullseye.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 19 May 2020 14:21:07 +0300
